//  @import com.hedgehoglab.application.view.BaseView;
//  @import com.hedgehoglab.ui.LabBox;


function DeleteDialogView(scope){
    BaseView.call(this);
    var _this=this;
	var _delete_box=new LabBox({height:'72px'});
	_delete_box.on_confirm=function(e){
	    _this.raise_event('on_confirm_clicked',e);
	};

	_delete_box.on_cancel=function(e){
	    _this.raise_event('on_cancel_clicked',e);
	};
       
       
    /**
     * Show the model
     * @param model
     */
    this.show=function(model){
		_this.render_template_with_view('contacts/delete_contacts',model,{},function(rendered_template){
			_delete_box.show(rendered_template,function(el){
			//  Add any other behaviours here!
			});
		});
    };
};